Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_OnigStackType Struct Reference

`#include <regint.h>`

## Data Fields
unsigned int | type
union {
struct {
UChar * pcode
UChar * pstr
UChar * pstr_prev
UChar * pkeep
} state
struct {
int count
UChar * pcode
int num
} repeat
struct {
OnigStackIndex si
} repeat_inc
struct {
int num
UChar * pstr
OnigStackIndex start
OnigStackIndex end
} mem
struct {
int num
UChar * pstr
} null_check
struct {
UChar * ret_addr
int num
UChar * pstr
} call_frame
} | u

## Detailed Description

Definition at line 785 of file regint.h.

## Field Documentation

struct { ... } _OnigStackType::call_frame

int _OnigStackType::count

Definition at line 798 of file regint.h.

OnigStackIndex _OnigStackType::end

Definition at line 810 of file regint.h.

struct { ... } _OnigStackType::mem

Referenced by backref_match_at_nested_level(), and match_at().

struct { ... } _OnigStackType::null_check

int _OnigStackType::num

Definition at line 800 of file regint.h.

UChar* _OnigStackType::pcode

Definition at line 789 of file regint.h.

UChar* _OnigStackType::pkeep

Definition at line 795 of file regint.h.

UChar* _OnigStackType::pstr

Definition at line 790 of file regint.h.

UChar* _OnigStackType::pstr_prev

Definition at line 791 of file regint.h.

struct { ... } _OnigStackType::repeat

Referenced by match_at().

struct { ... } _OnigStackType::repeat_inc

UChar* _OnigStackType::ret_addr

Definition at line 818 of file regint.h.

OnigStackIndex _OnigStackType::si

Definition at line 803 of file regint.h.

OnigStackIndex _OnigStackType::start

Definition at line 809 of file regint.h.

struct { ... } _OnigStackType::state

Referenced by match_at().

unsigned int _OnigStackType::type

Definition at line 786 of file regint.h.

Referenced by backref_match_at_nested_level(), and match_at().

union { ... } _OnigStackType::u

Referenced by backref_match_at_nested_level(), and match_at().

The documentation for this struct was generated from the following file:

- regint.h